html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}
/* Copre sia i bottoni reali che i link-bottone di Bootstrap */
.btn.disabled,
.btn:disabled {
    pointer-events: none;
    opacity: 0.5;
    cursor: not-allowed;
}
/* Definisci delle classi standard per le tue icone nei bottoni */
.btn-icon-16 {
    width: 16px;
    height: 16px;
}
.btn-icon-32 {
    width: 32px;
    height: 32px;
}
.btn-icon-64 {
    width: 64px;
    height: 64px;
}
/* Allinea "Mostra X elementi" e "Cerca" sulla stessa riga */
.dataTables_wrapper .row:first-child {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* Evita che le etichette vadano a capo */
.dataTables_length, .dataTables_filter {
    margin-top: 0 !important;
    margin-bottom: 10px !important;
}

/* Rende gli input un po' pił compatti */
.dataTables_filter input, .dataTables_length select {
    display: inline-block !important;
    width: auto !important;
}
/* pulisce i tooltip Rimuove lo sfondo, il bordo e l'ombra dal contenitore principale */
.leaflet-tooltip {
    background-color: transparent !important;
    border: none !important;
    box-shadow: none !important;
    font-weight: bold !important;
    color: #333 !important;
    text-shadow: 1px 1px 2px white, -1px -1px 2px white, 1px -1px 2px white, -1px 1px 2px white !important;
}